@article{deeplearningAi:2018,
	author   = {A. Ng and K. Katanforoosh and Y. B. Mourri},
	title    = {Sequence Models},
	journal  = {Deep Learning Specialization},
	volume   = {},
	number   = {},
	pages    = {},
	year     = {2018},
	doi      = {},
	URL      = {https://www.coursera.org/learn/nlp-sequence-models},
	eprint   = {},
	abstract = {This course will teach you how to build models for natural language, audio, and other sequence data. Thanks to deep learning, sequence algorithms are working far better than just two years ago, and this is enabling numerous exciting applications in speech recognition, music synthesis, chatbots, machine translation, natural language understanding, and many others. }
}

@article{per-gra:2007,
  author    = {P\'erez, Fernando and Granger, Brian E.},
  title     = {{IP}ython: a System for Interactive Scientific Computing},
  journal   = {Computing in Science and Engineering},
  volume    = {9},
  number    = {3},
  pages     = {21--29},
  month     = {may},
  year      = {2007},
  URL       = {"https://ipython.org"},
  ISSN      = {"1521-9615"},
  doi       = {10.1109/MCSE.2007.53},
  publisher = {IEEE Computer Society}
}

@article{arXiv:1609.03499,
	title = {WaveNet: A Generative Model for Raw Audio},
	author = {A. van den Oord and S. Dieleman and H. Zen and K. Simonyan and O. Vinyals and A. Graves and N. Kalchbrenner and A. Senior and K. Kavukcuoglu},
	eprint = {https://arxiv.org/abs/1609.03499v2},
	year = {2016},
	month = {09},
	origin = {ARXIV},
	journal = {SSW},
	URL = {https://arxiv.org/abs/1609.03499v2},
	abstract = {This paper introduces WaveNet, a deep neural network for generating raw audio waveforms. The model is fully probabilistic and autoregressive, with the predictive distribution for each audio sample conditioned on all previous ones; nonetheless we show that it can be efficiently trained on data with tens of thousands of samples per second of audio. When applied to text-to-speech, it yields state-of-the-art performance, with human listeners rating it as significantly more natural sounding than the best parametric and concatenative systems for both English and Mandarin. A single WaveNet can capture the characteristics of many different speakers with equal fidelity, and can switch between them by conditioning on the speaker identity. When trained to model music, we find that it generates novel and often highly realistic musical fragments. We also show that it can be employed as a discriminative model, returning promising results for phoneme recognition. }
}

@article{lstm:1997,
	author  = {S. Hochreiter and J. Schmidhuber},
	title   = {Long Short-Term Memory},
	journal = {Neural Computation},
	volume  = {9},
	number  = {3},
	pages   = {1735--1780},
	year    = {1997},
	month   = {11},
	doi     = {https://doi.org/10.1162/neco.1997.9.8.1735},
	URL     = {https://www.mitpressjournals.org/doi/abs/10.1162/neco.1997.9.8.1735},
	abstract= {Learning to store information over extended time intervals by recurrent backpropagation takes a very long time, mostly because of insufficient, decaying error backflow. We briefly review Hochreiter's (1991) analysis of this problem, then address it by introducing a novel, efficient, gradient based method called long short-term memory (LSTM). Truncating the gradient where this does not do harm, LSTM can learn to bridge minimal time lags in excess of 1000 discrete-time steps by enforcing constant error flow through constant error carousels within special units. Multiplicative gate units learn to open and close access to the constant error flow. LSTM is local in space and time; its computational complexity per time step and weight is O. 1. Our experiments with artificial data involve local, distributed, real-valued, and noisy pattern representations. In comparisons with real-time recurrent learning, back propagation through time, recurrent cascade correlation, Elman nets, and neural sequence chunking, LSTM leads to many more successful runs, and learns much faster. LSTM also solves complex, artificial long-time-lag tasks that have never been solved by previous recurrent network algorithms.}
}

@article{gru:2014,
	author  = {K. Cho and B. van Merrienboer and C. Gulcehre and D. Bahdanau and F. Bougares and H. Schwenk and Y. Bengio},
	title   = {Learning Phrase Representations using RNN Encoder-Decoder for Statistical Machine Translation},
	journal = {arXiv preprint arXiv:1406.1078},
	year    = {2014},
	month   = {9},
	URL     = {https://arxiv.org/abs/1406.1078},
	abstract= {In this paper, we propose a novel neural network model called RNN Encoder-Decoder that consists of two recurrent neural networks (RNN). One RNN encodes a sequence of symbols into a fixed-length vector representation, and the other decodes the representation into another sequence of symbols. The encoder and decoder of the proposed model are jointly trained to maximize the conditional probability of a target sequence given a source sequence. The performance of a statistical machine translation system is empirically found to improve by using the conditional probabilities of phrase pairs computed by the RNN Encoder-Decoder as an additional feature in the existing log-linear model. Qualitatively, we show that the proposed model learns a semantically and syntactically meaningful representation of linguistic phrases. }
}

@article{rnn:2015,
	author = {Z. C. Lipton and J. Berkowitz and C. Elkan},
	title = {A Critical Review of Recurrent Neural Networks for Sequence Learning},
	journal = {arXiv:1506.00019},
	year = {2015},
	month = {10},
	URL = {https://arxiv.org/abs/1506.00019},
	abstract = {Countless learning tasks require dealing with sequential data. Image captioning, speech synthesis, and music generation all require that a model produce outputs that are sequences. In other domains, such as time series prediction, video analysis, and musical information retrieval, a model must learn from inputs that are sequences. Interactive tasks, such as translating natural language, engaging in dialogue, and controlling a robot, often demand both capabilities. Recurrent neural networks (RNNs) are connectionist models that capture the dynamics of sequences via cycles in the network of nodes. Unlike standard feedforward neural networks, recurrent networks retain a state that can represent information from an arbitrarily long context window. Although recurrent neural networks have traditionally been difficult to train, and often contain millions of parameters, recent advances in network architectures, optimization techniques, and parallel computation have enabled successful large-scale learning with them. In recent years, systems based on long short-term memory (LSTM) and bidirectional (BRNN) architectures have demonstrated ground-breaking performance on tasks as varied as image captioning, language translation, and handwriting recognition. In this survey, we review and synthesize the research that over the past three decades first yielded and then made practical these powerful learning models. When appropriate, we reconcile conflicting notation and nomenclature. Our goal is to provide a self-contained explication of the state of the art together with a historical perspective and references to primary research. }
}

@article{tensor:2018,
	author = {TensorFlow},
	title = {Recurrent Neural Networks},	
	year = {2018},
	month = {},
	day = {},
	URL = {https://www.tensorflow.org/tutorials/sequences/recurrent},
	note = {[Online; accessed 20-October-2018]}
}

@article{neuroRace:Git,
	author = {HTW deep.TEACHING},
	title = {NeuroRace},
	year = {2018},
	month = {},
	day = {},
	URL = {https://gitlab.com/NeuroRace},
	note = {[Online; accessed 20-October-2018]}
}